Winioctl (JNA API)
Description: declaration: package: com.sun.jna.platform.win32, interface: Winioctl

Package com.sun.jna.platform.win32

# Interface Winioctl

public interface Winioctl
Interface for the Winioctl.h header file.

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Interface
  Description
  `static class`
  `Winioctl.STORAGE_DEVICE_NUMBER`
  Contains information about a device.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `FILE_ANY_ACCESS`
  `static final int`
  `FILE_DEVICE_8042_PORT`
  `static final int`
  `FILE_DEVICE_ACPI`
  `static final int`
  `FILE_DEVICE_BATTERY`
  `static final int`
  `FILE_DEVICE_BEEP`
  `static final int`
  `FILE_DEVICE_BIOMETRIC`
  `static final int`
  `FILE_DEVICE_BLUETOOTH`
  `static final int`
  `FILE_DEVICE_BUS_EXTENDER`
  `static final int`
  `FILE_DEVICE_CD_ROM`
  `static final int`
  `FILE_DEVICE_CD_ROM_FILE_SYSTEM`
  `static final int`
  `FILE_DEVICE_CHANGER`
  `static final int`
  `FILE_DEVICE_CONSOLE`
  `static final int`
  `FILE_DEVICE_CONTROLLER`
  `static final int`
  `FILE_DEVICE_CRYPT_PROVIDER`
  `static final int`
  `FILE_DEVICE_DATALINK`
  `static final int`
  `FILE_DEVICE_DEVAPI`
  `static final int`
  `FILE_DEVICE_DFS`
  `static final int`
  `FILE_DEVICE_DFS_FILE_SYSTEM`
  `static final int`
  `FILE_DEVICE_DFS_VOLUME`
  `static final int`
  `FILE_DEVICE_DISK`
  `static final int`
  `FILE_DEVICE_DISK_FILE_SYSTEM`
  `static final int`
  `FILE_DEVICE_DVD`
  `static final int`
  `FILE_DEVICE_EHSTOR`
  `static final int`
  `FILE_DEVICE_FILE_SYSTEM`
  `static final int`
  `FILE_DEVICE_FIPS`
  `static final int`
  `FILE_DEVICE_FULLSCREEN_VIDEO`
  `static final int`
  `FILE_DEVICE_GPIO`
  `static final int`
  `FILE_DEVICE_INFINIBAND`
  `static final int`
  `FILE_DEVICE_INPORT_PORT`
  `static final int`
  `FILE_DEVICE_KEYBOARD`
  `static final int`
  `FILE_DEVICE_KS`
  `static final int`
  `FILE_DEVICE_KSEC`
  `static final int`
  `FILE_DEVICE_MAILSLOT`
  `static final int`
  `FILE_DEVICE_MASS_STORAGE`
  `static final int`
  `FILE_DEVICE_MIDI_IN`
  `static final int`
  `FILE_DEVICE_MIDI_OUT`
  `static final int`
  `FILE_DEVICE_MODEM`
  `static final int`
  `FILE_DEVICE_MOUSE`
  `static final int`
  `FILE_DEVICE_MT_COMPOSITE`
  `static final int`
  `FILE_DEVICE_MT_TRANSPORT`
  `static final int`
  `FILE_DEVICE_MULTI_UNC_PROVIDER`
  `static final int`
  `FILE_DEVICE_NAMED_PIPE`
  `static final int`
  `FILE_DEVICE_NETWORK`
  `static final int`
  `FILE_DEVICE_NETWORK_BROWSER`
  `static final int`
  `FILE_DEVICE_NETWORK_FILE_SYSTEM`
  `static final int`
  `FILE_DEVICE_NETWORK_REDIRECTOR`
  `static final int`
  `FILE_DEVICE_NFP`
  `static final int`
  `FILE_DEVICE_NULL`
  `static final int`
  `FILE_DEVICE_PARALLEL_PORT`
  `static final int`
  `FILE_DEVICE_PHYSICAL_NETCARD`
  `static final int`
  `FILE_DEVICE_PMI`
  `static final int`
  `FILE_DEVICE_POINT_OF_SERVICE`
  `static final int`
  `FILE_DEVICE_PRINTER`
  `static final int`
  `FILE_DEVICE_SCANNER`
  `static final int`
  `FILE_DEVICE_SCREEN`
  `static final int`
  `FILE_DEVICE_SERENUM`
  `static final int`
  `FILE_DEVICE_SERIAL_MOUSE_PORT`
  `static final int`
  `FILE_DEVICE_SERIAL_PORT`
  `static final int`
  `FILE_DEVICE_SMARTCARD`
  `static final int`
  `FILE_DEVICE_SMB`
  `static final int`
  `FILE_DEVICE_SOUND`
  `static final int`
  `FILE_DEVICE_STREAMS`
  `static final int`
  `FILE_DEVICE_SYSENV`
  `static final int`
  `FILE_DEVICE_TAPE`
  `static final int`
  `FILE_DEVICE_TAPE_FILE_SYSTEM`
  `static final int`
  `FILE_DEVICE_TERMSRV`
  `static final int`
  `FILE_DEVICE_TRANSPORT`
  `static final int`
  `FILE_DEVICE_UNKNOWN`
  `static final int`
  `FILE_DEVICE_USBEX`
  `static final int`
  `FILE_DEVICE_VDM`
  `static final int`
  `FILE_DEVICE_VIDEO`
  `static final int`
  `FILE_DEVICE_VIRTUAL_BLOCK`
  `static final int`
  `FILE_DEVICE_VIRTUAL_DISK`
  `static final int`
  `FILE_DEVICE_VMBUS`
  `static final int`
  `FILE_DEVICE_WAVE_IN`
  `static final int`
  `FILE_DEVICE_WAVE_OUT`
  `static final int`
  `FILE_DEVICE_WPD`
  `static final int`
  `FILE_READ_ACCESS`
  `static final int`
  `FILE_SPECIAL_ACCESS`
  `static final int`
  `FILE_WRITE_ACCESS`
  `static final int`
  `FSCTL_DELETE_REPARSE_POINT`
  `static final int`
  `FSCTL_GET_COMPRESSION`
  `static final int`
  `FSCTL_GET_REPARSE_POINT`
  `static final int`
  `FSCTL_SET_COMPRESSION`
  `static final int`
  `FSCTL_SET_REPARSE_POINT`
  `static final int`
  `IOCTL_STORAGE_GET_DEVICE_NUMBER`
  Retrieves the device type, device number, and, for a partitionable device, the partition number of a device.
  `static final int`
  `METHOD_BUFFERED`
  `static final int`
  `METHOD_IN_DIRECT`
  `static final int`
  `METHOD_NEITHER`
  `static final int`
  `METHOD_OUT_DIRECT`

- ## Field Details

  - ### FILE_DEVICE_BEEP

    static final int FILE_DEVICE_BEEP
    See Also:
      - Constant Field Values

  - ### FILE_DEVICE_CD_ROM

    static final int FILE_DEVICE_CD_ROM
    See Also:
      - Constant Field Values

  - ### FILE_DEVICE_CD_ROM_FILE_SYSTEM

    static final int FILE_DEVICE_CD_ROM_FILE_SYSTEM
    See Also:
      - Constant Field Values

  - ### FILE_DEVICE_CONTROLLER

    static final int FILE_DEVICE_CONTROLLER
    See Also:
      - Constant Field Values

  - ### FILE_DEVICE_DATALINK

    static final int FILE_DEVICE_DATALINK
    See Also:
      - Constant Field Values

  - ### FILE_DEVICE_DFS

    static final int FILE_DEVICE_DFS
    See Also:
      - Constant Field Values

  - ### FILE_DEVICE_DISK

    static final int FILE_DEVICE_DISK
    See Also:
      - Constant Field Values

  - ### FILE_DEVICE_DISK_FILE_SYSTEM

    static final int FILE_DEVICE_DISK_FILE_SYSTEM
    See Also:
      - Constant Field Values

  - ### FILE_DEVICE_FILE_SYSTEM

    static final int FILE_DEVICE_FILE_SYSTEM
    See Also:
      - Constant Field Values

  - ### FILE_DEVICE_INPORT_PORT

    static final int FILE_DEVICE_INPORT_PORT
    See Also:
      - Constant Field Values

  - ### FILE_DEVICE_KEYBOARD

    static final int FILE_DEVICE_KEYBOARD
    See Also:
      - Constant Field Values

  - ### FILE_DEVICE_MAILSLOT

    static final int FILE_DEVICE_MAILSLOT
    See Also:
      - Constant Field Values

  - ### FILE_DEVICE_MIDI_IN

    static final int FILE_DEVICE_MIDI_IN
    See Also:
      - Constant Field Values

  - ### FILE_DEVICE_MIDI_OUT

    static final int FILE_DEVICE_MIDI_OUT
    See Also:
      - Constant Field Values

  - ### FILE_DEVICE_MOUSE

    static final int FILE_DEVICE_MOUSE
    See Also:
      - Constant Field Values

  - ### FILE_DEVICE_MULTI_UNC_PROVIDER

    static final int FILE_DEVICE_MULTI_UNC_PROVIDER
    See Also:
      - Constant Field Values

  - ### FILE_DEVICE_NAMED_PIPE

    static final int FILE_DEVICE_NAMED_PIPE
    See Also:
      - Constant Field Values

  - ### FILE_DEVICE_NETWORK

    static final int FILE_DEVICE_NETWORK
    See Also:
      - Constant Field Values

  - ### FILE_DEVICE_NETWORK_BROWSER

    static final int FILE_DEVICE_NETWORK_BROWSER
    See Also:
      - Constant Field Values

  - ### FILE_DEVICE_NETWORK_FILE_SYSTEM

    static final int FILE_DEVICE_NETWORK_FILE_SYSTEM
    See Also:
      - Constant Field Values

  - ### FILE_DEVICE_NULL

    static final int FILE_DEVICE_NULL
    See Also:
      - Constant Field Values

  - ### FILE_DEVICE_PARALLEL_PORT

    static final int FILE_DEVICE_PARALLEL_PORT
    See Also:
      - Constant Field Values

  - ### FILE_DEVICE_PHYSICAL_NETCARD

    static final int FILE_DEVICE_PHYSICAL_NETCARD
    See Also:
      - Constant Field Values

  - ### FILE_DEVICE_PRINTER

    static final int FILE_DEVICE_PRINTER
    See Also:
      - Constant Field Values

  - ### FILE_DEVICE_SCANNER

    static final int FILE_DEVICE_SCANNER
    See Also:
      - Constant Field Values

  - ### FILE_DEVICE_SERIAL_MOUSE_PORT

    static final int FILE_DEVICE_SERIAL_MOUSE_PORT
    See Also:
      - Constant Field Values

  - ### FILE_DEVICE_SERIAL_PORT

    static final int FILE_DEVICE_SERIAL_PORT
    See Also:
      - Constant Field Values

  - ### FILE_DEVICE_SCREEN

    static final int FILE_DEVICE_SCREEN
    See Also:
      - Constant Field Values

  - ### FILE_DEVICE_SOUND

    static final int FILE_DEVICE_SOUND
    See Also:
      - Constant Field Values

  - ### FILE_DEVICE_STREAMS

    static final int FILE_DEVICE_STREAMS
    See Also:
      - Constant Field Values

  - ### FILE_DEVICE_TAPE

    static final int FILE_DEVICE_TAPE
    See Also:
      - Constant Field Values

  - ### FILE_DEVICE_TAPE_FILE_SYSTEM

    static final int FILE_DEVICE_TAPE_FILE_SYSTEM
    See Also:
      - Constant Field Values

  - ### FILE_DEVICE_TRANSPORT

    static final int FILE_DEVICE_TRANSPORT
    See Also:
      - Constant Field Values

  - ### FILE_DEVICE_UNKNOWN

    static final int FILE_DEVICE_UNKNOWN
    See Also:
      - Constant Field Values

  - ### FILE_DEVICE_VIDEO

    static final int FILE_DEVICE_VIDEO
    See Also:
      - Constant Field Values

  - ### FILE_DEVICE_VIRTUAL_DISK

    static final int FILE_DEVICE_VIRTUAL_DISK
    See Also:
      - Constant Field Values

  - ### FILE_DEVICE_WAVE_IN

    static final int FILE_DEVICE_WAVE_IN
    See Also:
      - Constant Field Values

  - ### FILE_DEVICE_WAVE_OUT

    static final int FILE_DEVICE_WAVE_OUT
    See Also:
      - Constant Field Values

  - ### FILE_DEVICE_8042_PORT

    static final int FILE_DEVICE_8042_PORT
    See Also:
      - Constant Field Values

  - ### FILE_DEVICE_NETWORK_REDIRECTOR

    static final int FILE_DEVICE_NETWORK_REDIRECTOR
    See Also:
      - Constant Field Values

  - ### FILE_DEVICE_BATTERY

    static final int FILE_DEVICE_BATTERY
    See Also:
      - Constant Field Values

  - ### FILE_DEVICE_BUS_EXTENDER

    static final int FILE_DEVICE_BUS_EXTENDER
    See Also:
      - Constant Field Values

  - ### FILE_DEVICE_MODEM

    static final int FILE_DEVICE_MODEM
    See Also:
      - Constant Field Values

  - ### FILE_DEVICE_VDM

    static final int FILE_DEVICE_VDM
    See Also:
      - Constant Field Values

  - ### FILE_DEVICE_MASS_STORAGE

    static final int FILE_DEVICE_MASS_STORAGE
    See Also:
      - Constant Field Values

  - ### FILE_DEVICE_SMB

    static final int FILE_DEVICE_SMB
    See Also:
      - Constant Field Values

  - ### FILE_DEVICE_KS

    static final int FILE_DEVICE_KS
    See Also:
      - Constant Field Values

  - ### FILE_DEVICE_CHANGER

    static final int FILE_DEVICE_CHANGER
    See Also:
      - Constant Field Values

  - ### FILE_DEVICE_SMARTCARD

    static final int FILE_DEVICE_SMARTCARD
    See Also:
      - Constant Field Values

  - ### FILE_DEVICE_ACPI

    static final int FILE_DEVICE_ACPI
    See Also:
      - Constant Field Values

  - ### FILE_DEVICE_DVD

    static final int FILE_DEVICE_DVD
    See Also:
      - Constant Field Values

  - ### FILE_DEVICE_FULLSCREEN_VIDEO

    static final int FILE_DEVICE_FULLSCREEN_VIDEO
    See Also:
      - Constant Field Values

  - ### FILE_DEVICE_DFS_FILE_SYSTEM

    static final int FILE_DEVICE_DFS_FILE_SYSTEM
    See Also:
      - Constant Field Values

  - ### FILE_DEVICE_DFS_VOLUME

    static final int FILE_DEVICE_DFS_VOLUME
    See Also:
      - Constant Field Values

  - ### FILE_DEVICE_SERENUM

    static final int FILE_DEVICE_SERENUM
    See Also:
      - Constant Field Values

  - ### FILE_DEVICE_TERMSRV

    static final int FILE_DEVICE_TERMSRV
    See Also:
      - Constant Field Values

  - ### FILE_DEVICE_KSEC

    static final int FILE_DEVICE_KSEC
    See Also:
      - Constant Field Values

  - ### FILE_DEVICE_FIPS

    static final int FILE_DEVICE_FIPS
    See Also:
      - Constant Field Values

  - ### FILE_DEVICE_INFINIBAND

    static final int FILE_DEVICE_INFINIBAND
    See Also:
      - Constant Field Values

  - ### FILE_DEVICE_VMBUS

    static final int FILE_DEVICE_VMBUS
    See Also:
      - Constant Field Values

  - ### FILE_DEVICE_CRYPT_PROVIDER

    static final int FILE_DEVICE_CRYPT_PROVIDER
    See Also:
      - Constant Field Values

  - ### FILE_DEVICE_WPD

    static final int FILE_DEVICE_WPD
    See Also:
      - Constant Field Values

  - ### FILE_DEVICE_BLUETOOTH

    static final int FILE_DEVICE_BLUETOOTH
    See Also:
      - Constant Field Values

  - ### FILE_DEVICE_MT_COMPOSITE

    static final int FILE_DEVICE_MT_COMPOSITE
    See Also:
      - Constant Field Values

  - ### FILE_DEVICE_MT_TRANSPORT

    static final int FILE_DEVICE_MT_TRANSPORT
    See Also:
      - Constant Field Values

  - ### FILE_DEVICE_BIOMETRIC

    static final int FILE_DEVICE_BIOMETRIC
    See Also:
      - Constant Field Values

  - ### FILE_DEVICE_PMI

    static final int FILE_DEVICE_PMI
    See Also:
      - Constant Field Values

  - ### FILE_DEVICE_EHSTOR

    static final int FILE_DEVICE_EHSTOR
    See Also:
      - Constant Field Values

  - ### FILE_DEVICE_DEVAPI

    static final int FILE_DEVICE_DEVAPI
    See Also:
      - Constant Field Values

  - ### FILE_DEVICE_GPIO

    static final int FILE_DEVICE_GPIO
    See Also:
      - Constant Field Values

  - ### FILE_DEVICE_USBEX

    static final int FILE_DEVICE_USBEX
    See Also:
      - Constant Field Values

  - ### FILE_DEVICE_CONSOLE

    static final int FILE_DEVICE_CONSOLE
    See Also:
      - Constant Field Values

  - ### FILE_DEVICE_NFP

    static final int FILE_DEVICE_NFP
    See Also:
      - Constant Field Values

  - ### FILE_DEVICE_SYSENV

    static final int FILE_DEVICE_SYSENV
    See Also:
      - Constant Field Values

  - ### FILE_DEVICE_VIRTUAL_BLOCK

    static final int FILE_DEVICE_VIRTUAL_BLOCK
    See Also:
      - Constant Field Values

  - ### FILE_DEVICE_POINT_OF_SERVICE

    static final int FILE_DEVICE_POINT_OF_SERVICE
    See Also:
      - Constant Field Values

  - ### FSCTL_GET_COMPRESSION

    static final int FSCTL_GET_COMPRESSION
    See Also:
      - Constant Field Values

  - ### FSCTL_SET_COMPRESSION

    static final int FSCTL_SET_COMPRESSION
    See Also:
      - Constant Field Values

  - ### FSCTL_SET_REPARSE_POINT

    static final int FSCTL_SET_REPARSE_POINT
    See Also:
      - Constant Field Values

  - ### FSCTL_GET_REPARSE_POINT

    static final int FSCTL_GET_REPARSE_POINT
    See Also:
      - Constant Field Values

  - ### FSCTL_DELETE_REPARSE_POINT

    static final int FSCTL_DELETE_REPARSE_POINT
    See Also:
      - Constant Field Values

  - ### METHOD_BUFFERED

    static final int METHOD_BUFFERED
    See Also:
      - Constant Field Values

  - ### METHOD_IN_DIRECT

    static final int METHOD_IN_DIRECT
    See Also:
      - Constant Field Values

  - ### METHOD_OUT_DIRECT

    static final int METHOD_OUT_DIRECT
    See Also:
      - Constant Field Values

  - ### METHOD_NEITHER

    static final int METHOD_NEITHER
    See Also:
      - Constant Field Values

  - ### FILE_ANY_ACCESS

    static final int FILE_ANY_ACCESS
    See Also:
      - Constant Field Values

  - ### FILE_SPECIAL_ACCESS

    static final int FILE_SPECIAL_ACCESS
    See Also:
      - Constant Field Values

  - ### FILE_READ_ACCESS

    static final int FILE_READ_ACCESS
    See Also:
      - Constant Field Values

  - ### FILE_WRITE_ACCESS

    static final int FILE_WRITE_ACCESS
    See Also:
      - Constant Field Values

  - ### IOCTL_STORAGE_GET_DEVICE_NUMBER

    static final int IOCTL_STORAGE_GET_DEVICE_NUMBER
    Retrieves the device type, device number, and, for a partitionable device, the partition number of a device.
    See Also:
      - Constant Field Values